
VIEWING THE MACINTOSH MENU BAR ON A 640 BY 480 SCREEN

Pressing the space bar will toggle display of the Macintosh menu bar.  When the menu bar
is displayed, the Music Ace Demo will suspend operation.  It will resume when the menu 
bar is removed with another press of the space bar.


RUNNING MUSIC ACE ON A 5 MEGABYTE MACINTOSH

If your computer has only 5 megabytes of physical memory (RAM), Music Ace will have
barely enough memory to run.  Music Ace requires about 2.5 megabytes for itself, and
the Macintosh operating system uses approximately 2.5 megabytes also, give or take,
depending on how many extensions you have enabled.

You may find that you need to enable Virtual Memory (under the Memory control panel)
in order to run Music Ace on a 5 megabyte computer.  When virtual memory is enabled,
your Macintosh will frequently swap parts of the Music Ace program betweeen your
hard drive and RAM.  This will slow Music Ace, possibly a great deal.  If there is too 
much swapping, digitized sound will break up and Music Ace will come to an almost
complete stand-still.

If there is only a small amount of swapping, Music Ace will probably run fine.  To 
minimize swapping, turn off some of the extensions using the Extensions Manager
control panel. Make sure you leave the QuickTime, Apple CD-ROM, and Sound Manager
extensions enabled.  If you use a MIDI keyboard, the MIDI Manager must also be 
enabled.  If you want to print, leave the printer extension enabled.  The Extensions 
Manager allows you to save configurations.  You might want to save one for Music Ace.  
You will need to restart your Macintosh for the changes made in the Extensions Manager to
have effect.

If there is only a small amount of swapping, MDP will probably run fine.  To 
minimize swapping, turn off some of the extensions using the Extensions Manager
control panel.  Make sure you leave the QuickTime, Apple CD-ROM, and Sound Manager
extensions enabled.  If you use a MIDI keyboard, the MIDI Manager must also be 
enabled.  If you want to print, leave the printer extension enabled.  The Extensions 
Manager allows you to save configurations.  You might want to save one for MDP.  You will 
need to restart your Macintosh for the changes made in the Extensions Manager to
have effect.


IMPORTANT INFORMATION ABOUT MIDI INPUT

To enable MIDI input using an external keyboard, double click on the "QTMA Configuration" 
icon located in the Music Ace folder.  There is an option at the top of the window called 
"Default MIDI input."  Select the pull down menu and choose "Modem" or "Printer," 
depending on which port your MIDI cables are connected.  You will need to have your 
keyboard connected to a MIDI interface that is connected to the Modem or Printer port.


MIDI DRIVER OR MIDI MANAGER CONFLICT

If you have already been using a MIDI keyboard before installing Music Ace, you might
already have the MIDI driver or extension installed.  If your previous driver or extension
have names other than 'Apple MIDI Driver' or 'MIDI Manager', the Music Ace installation
program will not detect them.  It will install its version of 'Apple MIDI Driver' in 
your System Folder and its version of 'MIDI Manager' in your Extensions folder.  These
will conflict with your existing MIDI driver and/or MIDI manager.  If you see that your
MIDI driver does not initialize properly during the boot process (if an error is indicated 
on the extension icon at the bottom of your screen during boot), you may have such a conflict.

To solve the problem, look in you 'System Folder' folder on you main hard drive.  Check
if there is another file with a name similar (but not the same) as 'Apple MIDI driver'.
Compare its date (set the View menu to 'by Name') to that of 'Apple MIDI driver'.  Move
the older of the two out of the System Folder to a temporary location (perhaps your
desktop).  

Next, open your Extensions folder (inside of System Folder).  You will find MIDI Manager
there.  Look for another midi manager with a similar name.  Again, remove the older of
the two.

Restart your computer.  Check if Music Ace runs properly and check if your other MIDI
programs run properly.  If so, you can move the obsolete MIDI system files into your
trash can.  If not, put them back in their original folders, restart, and try something else.


IF YOU DO NOT USE MIDI INPUT

Under the Options menu in Music Ace, there is an option called "Disable MIDI input."  
Initially this option is not checked, meaning that MIDI is enabled.  If you decide that 
you do not wish to use a keyboard for MIDI input, then you can disable the MIDI input 
by checking this option.  If you leave the MIDI enabled but have some other hardware 
connected via the modem port, Music Ace might interpret signals from that hardware as 
MIDI input.  These non-MIDI signals can cause several problems which might affect the 
behavior of your computer.

Note:  In order to use MIDI input, not only must the "Disable MIDI Input" option not be 
checked, but MIDI input must be enabled in the "QTMA Configuration" utility described
above.


IF YOU HAVE PROBLEMS INSTALLING QUICKTIME 

If Music Ace detects that you do not have QuickTime installed on your system or
you have a version earlier than 2.5, Music Ace will call Apple's QuickTime version
2.5 installer.  This installer will usually remove earlier versions of QuickTime from
your system with no problem.  

On some computers, however, it does not remove the previous version properly.  If you 
get an error message while booting your Macintosh indicating that there is a problem with 
QuickTime, or if the QuickTime icons that appear at the bottom of you screen during the 
boot process indicate a problem, you will need to fix the problem manually.  

To fix the problem, follow these steps:

1) Open your Extensions folder (Open your main hard drive folder, then open the 'System Folder' 
   folder, then open the 'Extensions' folder).

2) Using the menu bar, set the View to 'by Name'.

3) Locate the QuickTime files in this folder.  Identify QuickTime files with EXACTLY duplicate 
    names.   Look at the dates associated with these files.  Drag the older of these duplicate 
    files to the trash.   Keep only the newest version of each file (most recent date).  

4) Restart you Macintosh.


UNINSTALLING MUSIC ACE

To uninstall Music Ace, you need to remove the Music Ace preference files and the Music
Ace data files that were copied to your hard drive.  The preference files are located in your
Preferences folder inside the System Folder on your main hard drive.  These all start
with "Music Ace...".  They are:

          Music Ace Prefs CD
          Music Ace MIDI Keyb Data
          Music Ace User Data

Drag these to the trash.

If, during Music Ace installation, you allowed the install program to copy some files
to your hard drive (for improved performance), you have a folder somewhere on your 
hard drive that needs to be removed.  Unless you specified a different name during
installation, it will be called 'Music Ace '.  Locate this folder and drag it to your 
trash icon.

